Editing Solid Points

Why doesn’t F10 turn Solid Points on? F11 turns them off just like with 2D lines.

Thanks,
Dennis

I suggested that too : )
http://discourse.mcneel.com/t/ui-suggestion-f10-solidpton/18624

So, you know I agree.

[I use solid points a lot for doing filleted flatwork because I can just lasso and resize the edges–without changing the fillet size.]

Well, again, it would be ambiguous under some circumstances, as single surfaces can have both normal and solid points (and they are different). And I would rather there not be special casing of these commands that they work one way for curves and another way for surfaces/solids.

I have SolidPtOn on the F9 key… --Mitch

Ah. I knew there was a good reason!

Dennis

this help? doesn’t work with preselection FYI

'Script written by Ryan Gilmore (monkeygrip@gmail.com)
'Script version Tuesday, 23 October 2012 09:49:24

'Description: Turns on points for all selected objects
'
'Edits:
'Todo:671200060


Rhino.AddStartupScript Rhino.LastLoadedScriptFile
Rhino.AddAlias "OneShots", "_NoEcho _-Runscript OneShots"

Option Explicit

Call AllPointsOn()
Sub AllPointsOn()
	Dim arrObjects, Object
	
	arrObjects = Rhino.GetObjects("Select objects for edit point display.", 1073742364, True, True, False)
	If isNull(arrObjects) Then
		Exit Sub
	End If
	Rhino.EnableRedraw False
	For Each Object In arrObjects
		Rhino.SelectObject Object
		If Rhino.IsBrep(Object) Then
			Rhino.Command "_NoEcho _SolidPtOn"
		ElseIf Rhino.IsCurve(Object) Then
			Rhino.Command "_noecho _PointsOn"
		ElseIf Rhino.IsDimension(Object) Then
			Rhino.Command "_noecho _PointsOn"
		End If
	Next
	Rhino.EnableRedraw True
End Sub